Skip to content
Start here

Query analytics summary

client.analyticsQuery.summary(stringdataset, AnalyticsQuerySummaryParams { account_id, filters, from, 3 more } params, RequestOptionsoptions?): AnalyticsQuerySummaryResponse { currentTotal, previousTotal }
POST/accounts/{account_id}/analytics/query/{dataset}/summary

Returns aggregate summary stats for a dataset. Includes current-period and previous-period totals for trend comparison.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Read
ParametersExpand Collapse
dataset: string
params: AnalyticsQuerySummaryParams { account_id, filters, from, 3 more }
account_id: string

Path param: Cloudflare account identifier.

maxLength32
filters: Array<Filter>

Body param: Filters to apply before aggregating results.

name: string

Specifies the column name to filter on. Requires a valid column for the target dataset (e.g. country, allowed, appId).

op: string

Filter operator. Common values: eq, neq, in, not_in, gt, lt, gte, lte.

values: Array<string | boolean | number>

Values to match against. Type depends on the column.

One of the following:
string
boolean
number
from: string

Body param: The start of the query time range (inclusive). RFC3339 format with timezone is required (e.g. 2024-11-05T00:00:00Z).

formatdate-time
groupBy: Array<string>

Body param: Specifies the column names to group results by. Requires valid columns for the target dataset.

stats: Array<string>

Body param: Specifies the stat names to include in results. Requires valid stats for the target dataset (e.g. attemptsTotal, bytesTotal).

to: string

Body param: Specifies the end of the query time range (exclusive). Requires RFC3339 format with timezone.

formatdate-time
ReturnsExpand Collapse
AnalyticsQuerySummaryResponse { currentTotal, previousTotal }
currentTotal: Array<Record<string, unknown>>

Aggregated stats for the requested time range.

previousTotal: Array<Record<string, unknown>>

Aggregated stats for the equivalent preceding time range, for trend comparison.

Query analytics summary

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.analyticsQuery.summary('access-logins', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  filters: [],
  from: '2024-11-01T00:00:00Z',
  groupBy: [],
  stats: ['attemptsTotal'],
  to: '2024-11-08T00:00:00Z',
});

console.log(response.currentTotal);
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "API in beta: expect breaking changes."
    }
  ],
  "result": {
    "currentTotal": [
      {
        "attemptsTotal": 48291
      }
    ],
    "previousTotal": [
      {
        "attemptsTotal": 41033
      }
    ]
  },
  "success": true
}
{
  "errors": [
    {
      "code": 11005,
      "message": "art.api.parameter.invalid"
    }
  ],
  "messages": [
    {
      "code": 1002,
      "message": "Parameter 'from' has invalid value '2024-11-05 00:00:00'. Should be of type: 'RFC3339'"
    }
  ],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 11005,
      "message": "art.api.parameter.invalid"
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "API in beta: expect breaking changes."
    }
  ],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 11003,
      "message": "art.api.resource.insufficient_permissions"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 11003,
      "message": "art.api.resource.insufficient_permissions"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 11003,
      "message": "art.api.resource.insufficient_permissions"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "API in beta: expect breaking changes."
    }
  ],
  "result": {
    "currentTotal": [
      {
        "attemptsTotal": 48291
      }
    ],
    "previousTotal": [
      {
        "attemptsTotal": 41033
      }
    ]
  },
  "success": true
}
{
  "errors": [
    {
      "code": 11005,
      "message": "art.api.parameter.invalid"
    }
  ],
  "messages": [
    {
      "code": 1002,
      "message": "Parameter 'from' has invalid value '2024-11-05 00:00:00'. Should be of type: 'RFC3339'"
    }
  ],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 11005,
      "message": "art.api.parameter.invalid"
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "API in beta: expect breaking changes."
    }
  ],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 11003,
      "message": "art.api.resource.insufficient_permissions"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 11003,
      "message": "art.api.resource.insufficient_permissions"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 11003,
      "message": "art.api.resource.insufficient_permissions"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}